program FixLen

! Copy a file from stdin to stdout, giving it fixed length in the output.

  character(len=80) :: Line

  do
    read ( *, '(a)', end=9 ) line
    write ( *, '(a)' ) line
  end do

9 end program
